"use strict";

const {series} = require('gulp');


// First need config in Global
global.config = require('../gulp.config').config;

const {Utils} = require('./_Utils');

//And load our Paths,
global.config.path = Utils.getPath().path;


// Then we can slect our CSS Preprocessor
global.cssPreProcessor = Utils.selectCSS();




const {Server} = require('./browserSync');
const {Watcher} = require('./watcher');


exports.live = series(Server.init, Watcher.init);

exports.default = series(global.cssPreProcessor.build);